Retrieve a single event by guid or systemId
1 min
GET
https://dev1.frontu.com//client/api/v2/events/{identifier}
Path Parameters
- identifierstringrequiredDescription
Responses
200
- Event
- guidstring<uuid>Formatuuid
- systemIdstring
- versioninteger
- titlestring
- descriptionstring
- startDateTimestring<date-time>Formatdate-time
- endDateTimestring<date-time>Formatdate-time
- typestring<custom_event | work_hour>Allowedcustom_eventwork_hour
- busyboolean
- deletedboolean
- userobject
- guidstring<uuid>Formatuuid
- systemIdstring
- taskobject
- guidstring<uuid>Formatuuid
- systemIdstring
- resourceobject
- guidstring<uuid>Formatuuid
- systemIdstring
- createdstring<date-time>Formatdate-time
- updatedstring<date-time>Formatdate-time
404
curl
curl --request GET \
--url https://dev1.frontu.com//client/api/v2/events/{identifier} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/events/{identifier}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/events/{identifier}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/events/{identifier}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"guid": "",
"systemId": "",
"version": 0,
"title": "",
"description": "",
"startDateTime": "",
"endDateTime": "",
"type": "",
"busy": false,
"deleted": false,
"user": {
"guid": "",
"systemId": ""
},
"task": {
"guid": "",
"systemId": ""
},
"resource": {
"guid": "",
"systemId": ""
},
"created": "",
"updated": ""
}404
// Not found